Subject: Re: bug#43633: 28.0.50; Include definitions in glossary for: extensible, customizable, self-documenting, real-time display editor

From: Jean Louis <[email-masked]>
Date: Thu, 1 Oct 2020 08:08:39 +0300

* Juri Linkov <[email-masked]> [2020-09-30 22:19]:
> > If I wish to edit with "ed" I would say:
> >
> > $ ed file
> >
> > but then nothing would happen, nothing would be displayed. I would
> > need to do something like:
> >
> > i
> > New line written here
> > .
> > w
> > 22
> > q
> >
> > then the line "New line written here" would be in the file, as I saved
> > it with "w" for 22 bytes, and quit with "q"
> 
> Indeed, and 'ed' is still relevant today on minimized distributions
> where only 'ed' is available for editing (that even don't provide 'vi').
> 
> > Thus "real time display" editor is (probably) comparison to line
> > editors. This comparison was useful back in time, today it is hard to
> > explain to people.
> 
> Emacs can't be described as "real-time" because it doesn't meet the demands of
> real-time systems according to https://en.wikipedia.org/wiki/Real-time_computing
> that at least require deterministic garbage collection.

Terms and words have different definitions and the definition depends
of the context.

For me, Emacs is real time, but in the context of above mentioned
"real time computing" Emacs may not be real time computing.

>From Wordnet dictionary:

* Overview of noun real_time

The noun real time has 2 senses (no senses from tagged texts)
1. real time -- (the actual time that it takes a process to occur; "information is updated in real time")
2. real time -- ((computer science) the time it takes for a process under computer control to occur)

Obviously there are different context, and there may be other
definitions, so Emacs is real time for the user. The context of "real
time display" was related to "ed", and not to real time computing in
computer science.

Is it not so?

Jean